Package org.silverpeas.mobile.shared.dto.tickets

## Class TicketDTO

- java.lang.Object
- - org.silverpeas.mobile.shared.dto.tickets.TicketDTO

- All Implemented Interfaces:
    `Serializable`

      public class TicketDTO
      extends Object
      implements Serializable

  Author:
    svu
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TicketDTO()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `getAdditionalMessage()` |
    `String` | `getComponentId()` |
    `String` | `getContinuous()` |
    `String` | `getCreationDate()` |
    `String` | `getEndDateFormat()` |
    `String` | `getEndDateStr()` |
    `String` | `getExternalEmails()` |
    `String` | `getModified()` |
    `String` | `getName()` |
    `String` | `getNbAccess()` |
    `String` | `getNbAccessMax()` |
    `String` | `getSharedObjectId()` |
    `String` | `getSharedObjectType()` |
    `String` | `getToken()` |
    `String` | `getUri()` |
    `String` | `getUrl()` |
    `String` | `getUsers()` |
    `String` | `getValid()` |
    `String` | `getValidity()` |
    `void` | `setAdditionalMessage​(String additionalMessage)` |
    `void` | `setComponentId​(String componentId)` |
    `void` | `setContinuous​(String continuous)` |
    `void` | `setCreationDate​(String creationDate)` |
    `void` | `setEndDateFormat​(String endDateFormat)` |
    `void` | `setEndDateStr​(String endDateStr)` |
    `void` | `setExternalEmails​(String externalEmails)` |
    `void` | `setModified​(String modified)` |
    `void` | `setName​(String name)` |
    `void` | `setNbAccess​(String nbAccess)` |
    `void` | `setNbAccessMax​(String nbAccessMax)` |
    `void` | `setSharedObjectId​(String sharedObjectId)` |
    `void` | `setSharedObjectType​(String sharedObjectType)` |
    `void` | `setToken​(String token)` |
    `void` | `setUri​(String uri)` |
    `void` | `setUrl​(String url)` |
    `void` | `setUsers​(String users)` |
    `void` | `setValid​(String valid)` |
    `void` | `setValidity​(String validity)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TicketDTO

          public TicketDTO()

  - ### Method Detail

    - #### getNbAccess

          public String getNbAccess()

    - #### setNbAccess

          public void setNbAccess​(String nbAccess)

    - #### getToken

          public String getToken()

    - #### setToken

          public void setToken​(String token)

    - #### getValid

          public String getValid()

    - #### setValid

          public void setValid​(String valid)

    - #### getModified

          public String getModified()

    - #### setModified

          public void setModified​(String modified)

    - #### getContinuous

          public String getContinuous()

    - #### setContinuous

          public void setContinuous​(String continuous)

    - #### getSharedObjectId

          public String getSharedObjectId()

    - #### setSharedObjectId

          public void setSharedObjectId​(String sharedObjectId)

    - #### getSharedObjectType

          public String getSharedObjectType()

    - #### setSharedObjectType

          public void setSharedObjectType​(String sharedObjectType)

    - #### getComponentId

          public String getComponentId()

    - #### setComponentId

          public void setComponentId​(String componentId)

    - #### getValidity

          public String getValidity()

    - #### setValidity

          public void setValidity​(String validity)

    - #### getUrl

          public String getUrl()

    - #### setUrl

          public void setUrl​(String url)

    - #### getEndDateStr

          public String getEndDateStr()

    - #### setEndDateStr

          public void setEndDateStr​(String endDateStr)

    - #### getEndDateFormat

          public String getEndDateFormat()

    - #### setEndDateFormat

          public void setEndDateFormat​(String endDateFormat)

    - #### getNbAccessMax

          public String getNbAccessMax()

    - #### setNbAccessMax

          public void setNbAccessMax​(String nbAccessMax)

    - #### getUsers

          public String getUsers()

    - #### setUsers

          public void setUsers​(String users)

    - #### getExternalEmails

          public String getExternalEmails()

    - #### setExternalEmails

          public void setExternalEmails​(String externalEmails)

    - #### getAdditionalMessage

          public String getAdditionalMessage()

    - #### setAdditionalMessage

          public void setAdditionalMessage​(String additionalMessage)

    - #### getCreationDate

          public String getCreationDate()

    - #### setCreationDate

          public void setCreationDate​(String creationDate)

    - #### getUri

          public String getUri()

    - #### setUri

          public void setUri​(String uri)

    - #### setName

          public void setName​(String name)

    - #### getName

          public String getName()